.App {
  text-align: center;
  margin: 0;
  padding: 0;
}
/* text-color */
.black {
  color: #434343;
}
.cream {
  color: #f6ecc9;
}
.white {
  color: #ffffff;
}
.wood {
  color: rgb(255, 255, 255);
}
/* background color */
.bg-biege {
  background-color: #faebcd;
}
.bg-black {
  background-color: #000000;
}
.bg-lt-purple {
  background-color: #98b7db;
}
.bg-cream {
  background-color: #f6ecc9;
}
.bg-white {
  background-color: #fffbec;
}
.margin-0 {
  margin: 0;
}
.padding-0 {
  padding: 0;
}

.login,
.register,
.personal-detail {
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
/* authentication */
.register {
  background-image: linear-gradient(
      to bottom,
      rgba(253, 253, 252, 0.5),
      rgba(50, 50, 78, 0.5)
    ),
    url("./Images/signup.jpg");
  background-position: left 10%;
}
.login {
  background-image: linear-gradient(
      to bottom,
      rgba(253, 253, 252, 0.5),
      rgba(50, 50, 78, 0.5)
    ),
    url("./Images/login.jpg");
  background-position: left 20%;
}
.auth-form {
  background-clip: padding-box;
  background-image: linear-gradient(
      to bottom,
      rgba(248, 187, 230, 0.5),
      rgba(93, 93, 112, 0.5)
    ),
    url("./Images/signup.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 80vh;
  width: calc(100% - 70%);
  display: flex;
  align-items: center;
  flex-direction: column;
  border-radius: 20px;
  box-shadow: 2px 2px 15px 1px #373737;
  box-sizing: border-box;
  padding-top: 2%;
  padding-bottom: 2%;
}
.input-div {
  padding: 3%;
  width: 100%;
}
.alert {
  margin-top: 10px;
  border-radius: 5px;
  width: calc(100% - 5em);
  font-weight: normal;
  color: white;
  padding: 5px;
  text-align: justify;
}
.alert-danger {
  background-color: #fc5353;
}
.closebtn {
  margin-left: 15px;
  color: white;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.3s;
}
.closebtn:hover {
  color: black;
}
.auth-button {
  width: calc(100% - 10rem);
  border-radius: 10px;
  margin-top: 10%;
}
.anchor{
  width : 100%;
  color : #551A8B;
  text-decoration : underline;
  cursor : pointer;
}
.input-div > input,
.auth-button {
  box-shadow: 1px 1px 0.5px 1px #fffefe, -1px -1px 0.5px 1px #ffffff;
  background-color: rgb(228, 223, 212);
  border: 0;
  height: 45px;
}
.input-div > label,
.auth-button {
  font-size: 35px;
  font-weight: bold;
  font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
}
/* resume_form */
@supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
  .container {
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
  }
}
.stepper-div {
  margin-top: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}
.stepper-buttons-div {
  flex-grow: 1;
}
.stepper-buttons {
  border-radius: 50%;
  border: 0px;
  background: rgb(255, 255, 255);
  font-weight: bold;
  /* flex-grow: 1; */
}

.stepper-buttons-div:nth-child(1)::after {
  content: " ";
  position: absolute;
  left: 17.3%;
  top: 2.5%;
  width: 32%;
  height: 3px;
  background-color: rgb(3, 3, 3);
  z-index: -1;
}

.stepper-buttons-div:nth-child(2)::before {
  content: " ";
  position: absolute;
  right: 17.3%;
  top: 2.5%;
  width: 32%;
  height: 3px;
  background-color: rgb(0, 0, 0);
  z-index: -1;
}

.stepper-forms-left {
  position: absolute;
  color: rgb(110, 110, 110);
  font-size: 34px;
  font-weight: bolder;
  top: 50%;
  left: 10%;
  cursor: pointer;
}
.stepper-forms-right {
  position: absolute;
  color: rgb(110, 110, 110);
  font-size: 34px;
  font-weight: bolder;
  top: 50%;
  cursor: pointer;
  right: 10%;
}
/* personal_detail.js */
.personal-detail {
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.8)),
    url("./Images/personal.jpg");
  background-size: 100%;
  background-repeat: no-repeat;
}

.detail-form {
  height: 85vh;
  width: calc(100% - 60%);
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  flex-direction: column;
  border-radius: 20px;
  box-shadow: rgba(150, 150, 150, 0.16) 0px 3px 6px,
    rgba(133, 133, 133, 0.23) 0px 3px 6px;
}

.input-field {
  padding: 2px;
  height: 3rem;
  width: calc(100% - 5em);
  border-radius: 7px;
}
.contact-div {
  width: 93%;
  display: flex;
  justify-content: center;
  flex-direction: row;
}
.contact {
  border-left: 0px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.country-code-select-field {
  padding-bottom: 1px;
  height: 100%;
  width: 8%;
  border-top: 2px solid #000;
  border-left: 2px solid #000;
  border-bottom: 2px solid className= "table-header" #767676;
  border-right: 0;
  border-radius: 7px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  background-color: white;
}
.contact:focus,
.country-code-select-field:focus {
  outline: none;
}

.personal-detail-fieldset {
  display: flex;
  background-color: white;
  padding: 5px;
  height: 3rem;
  width: calc(100% - 5em);
  align-items: center;
  border-top: 2px solid #000;
  border-left: 2px solid #000;
  border-radius: 10px;
  flex-flow: row wrap;
}
.personal-detail-fieldset > label,
.personal-detail-fieldset > input {
  flex-grow: 1;
}

/* Education_Detail.js */

.education-detail {
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.8)),
    url("./Images/personal.jpg");
  background-size: 100%;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.education-form {
  width: calc(100% / 2);
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-direction: column;
  border-radius: 20px;
  box-shadow: rgba(150, 150, 150, 0.16) 0px 3px 6px,
    rgba(133, 133, 133, 0.23) 0px 3px 6px;
  padding: 2% 0px;
}
.education-form-div {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.education-fieldset {
  display: flex;
  background-color: white;
  padding: 5px;
  height: 80%;
  width: calc(100% - 5em);
  align-items: center;
  border-top: 2px solid #000;
  border-left: 2px solid #000;
  border-radius: 10px;
  flex-flow: row wrap;
}

.margin-bottom-5 {
  margin-bottom: 5%;
}
.input-button {
  width: 40%;
  margin: 10px;
}
/* All Deatils Table */
.detail-table {
  background-color: #faebcd;
  height: 100vh;
  margin: 0px;
  padding-top: 10px;
}

.personal-detail-table {
  margin: auto;
  width: 90%;
  /* background-color: rgb(49, 49, 49); */
}
.input-fields {
  border: none;
}

.input-fields:focus {
  outline: none;
}
.table-header {
  background-color: #333333;
  color: rgb(255, 255, 255);
  font-family: Georgia, "Times New Roman", Times, serif;
}
.table-body {
  background-color: white;
  font-weight: 200;
  font-family: Georgia, "Times New Roman", Times, serif;
}
.add-detail-buttons {
  margin-top: 3%;
}
/* edit and save buttons */
.edit-save-button {
  position: absolute;
  top: 3%;
  left: 78.5%;
  width: 20%;
  display: flex;
  gap: 1%;
}
.detail-button {
  background-color: #2e7d32;
  border: none;
  border-radius: 10px;
  color: #fff;
  font-size: 100%;
  font-weight: bolder;
  padding: 1% 5%;
  margin: 0 2%;
  box-shadow: 2px 2px rgb(124, 123, 123), -2px -2px rgb(124, 123, 123);
}
.detail-button:hover {
  box-shadow: 1px 1px rgb(59, 59, 59), -1px -1px rgb(124, 123, 123);
}
.ed-save-btn {
  background-color: rgb(68, 180, 255);
  /* border-radius: 0px; */
  box-shadow: 1px 1px rgb(59, 59, 59), -1px -1px rgb(124, 123, 123);
}
.ed-save-btn:hover {
  box-shadow: .5px .5px rgb(59, 59, 59), -.5px -.5px rgb(124, 123, 123);
}

.template {
  display: flex;
  flex-wrap: wrap;
}

/* Template 1 */

.template-1 {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  /* box-sizing: border-box; */
  width: 700px;
  height: 850px;
  padding-top: 2%;
  margin: 2% auto;
  background-color: #f5f5f5;
  box-shadow: inset 5px 5px #fff, inset -5px -5px #fff;
}
.designation {
  margin: 0;
  font-weight: 700;
  font-size: 18px;
  font-family: Cambria, Cochin, Georgia, Times, "Times New Roman", serif;
}

.divider {
  height: 1px;
  margin-top: 3%;
  width: 90%;
  background-color: red;
}

.fields {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  padding-top: 3%;
  font-weight: lighter;
  font-family: Georgia, "Times New Roman", Times, serif;
  text-align: left;
  box-sizing: border-box;
  padding-left: 50px;
  padding-right: 50px;
  width: 100%;
  margin-top: 0;
}

.field-values {
  /* font-weight: 500; */
  display: flex;
  gap: 20px;
  padding-bottom: 10px;
  /* row-gap: 100px; */
}
.field-header {
  padding: 1%;
  width: 100%;
  background-color: #fce2cd;
}

/* Template 1 */

.template-2 {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 700px;
  height: 890px;
  margin: 2% auto;
  /* box-shadow: 5px 5px 15px 1px black; */
  box-shadow: inset 5px 5px #fff, inset -5px -5px #fff;
}

.side-bar {
  box-sizing: border-box;
  margin: 0;
  padding-top: 6%;
  height: 100%;
  width: 40%;
  border-right: 1px solid black;
  font-family: Georgia, "Times New Roman", Times, serif;
  color: #fff;
  background-color: rgb(52, 123, 255);
}

.temp2-name {
  margin: 0;
}
.personal-info > .header {
  color: black;
  background-color: rgb(255, 255, 255);
}

.personal-info > .list {
  padding-left: 10px;
  list-style: none;
  text-align: left;
  text-overflow: clip;
}

.personal-info > .list > li {
  padding-bottom: 10px;
  text-overflow: clip;
}

.other-details {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  padding-top: 5%;
  height: 100%;
  background-color: #ffffff;
  width: 75%;
  font-family: Georgia, "Times New Roman", Times, serif;
}

.temp2-divider {
  height: 1px;
  margin-top: 1.5%;
  background-color: rgb(0, 0, 0);
}
.temp2-experience {
  display: flex;
  justify-content: flex-start;
  padding: 1% 2% 1% 2%;
}
.exp-detail {
  display: flex;
  gap: 10%;
  padding: 3% 3% 0px 3%;
}

.icons {
  height: 30px;
  width: 30px;
  cursor: pointer;
}
@media (width <= 540px) {
  .register-form {
    width: calc(100% - 20%);
    padding-top: 15%;
  }

  .detail-form {
    width: 90%;
  }
  .contact-div {
    width: 86%;
  }
  .country-code-select-field {
    width: 17%;
  }
  .auth-button {
    font-size: calc(100% - 10%);
    width: 50%;
  }
}

@media (540px <= width <= 768px) {
  .register {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right 15% top 15%;
  }
  .register-form {
    width: calc(100% - 50%);
    padding-top: 10%;
  }
  .input-div > input {
    height: 40px;
    width: 90%;
  }
  .auth-button {
    font-size: 100%;
    width: calc(100% - 5rem);
  }
  .detail-form {
    width: calc(100% - 30%);
    height: 80vh;
  }
  .country-code-select-field {
    width: 11%;
  }
  .contact-div {
    width: 91%;
  }
}
@media (769px <= width <= 1024px) {
  .register-form {
    width: calc(100% - 50%);
    height: 80vh;
  }
  .detail-form {
    width: calc(100% - 40%);
    height: 80vh;
  }
  .country-code-select-field {
    width: 12%;
  }
  .contact-div {
    width: 91%;
  }
  .auth-button {
    font-size: 35px;
  }
  .input-div > input {
    height: 45px;
  }
  .input-div > label {
    font-size: 40px;
  }
}

@media (1026px <= width <= 1440px) {
  .register-form {
    width: calc(100% - 60%);
  }
  .contact-div {
    width: 91%;
  }
  .country-code-select-field {
    width: 12%;
  }
  .auth-button {
    font-size: 35px;
  }
  .input-div > input {
    height: 50px;
  }
  .input-div > label {
    font-size: 40px;
  }
}
